aboutsummaryrefslogtreecommitdiff
path: root/package/python-service-identity
Commit message (Collapse)AuthorAgeFilesLines
* package/python-service-identity: the attrs distribution is requiredGravatar Charles Hardin2017-07-291-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | | Apparently the service identify code requires the python attrs to be availabe: Traceback (most recent call last): File "/opt/exablox/bin/configsrv", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3138, in <module> @_call_aside File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3124, in _call_aside f(*args, **kwargs) File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3151, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 661, in _build_master ws.require(__requires__) File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 962, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 849, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'attrs' distribution was not found and is required by service-identity Signed-off-by: Charles Hardin <ckhardin@exablox.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* python-service-identity: bump version to 17.0.0Gravatar Vicente Olivert Riera2017-05-252-4/+4
| | | | | Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/p*/Config.in: fix ordering of statementsGravatar Adam Duskett2017-05-011-1/+1
| | | | | | | | | | | | | The check-package script when ran gives warnings on ordering issues on all of these Config files. This patch cleans up all warnings related to the ordering in the Config files for packages starting with the letter p in the package directory. The appropriate ordering is: type, default, depends on, select, help See http://nightly.buildroot.org/#_config_files for more information. Signed-off-by: Adam Duskett <Adamduskett@outlook.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* python-service-identity: bump version to 16.0.0Gravatar Yegor Yefremov2017-02-072-5/+5
| | | | | Signed-off-by: Yegor Yefremov <yegorslists@googlemail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* python-service-identity: add missing BR2_INSTALL_LIBSTDCPP dependencyGravatar Thomas Petazzoni2016-05-241-0/+4
| | | | | | | | | | | | | | | | python-service-identity selects python-pyopenssl and python-pyasn, both of which depend on C++ support, but this dependency was not propagated to python-service-identity causing the following kconfig warning: warning: (BR2_PACKAGE_PYTHON_SERVICE_IDENTITY) selects BR2_PACKAGE_PYTHON_PYOPENSSL which has unmet direct dependencies ((BR2_PACKAGE_PYTHON || BR2_PACKAGE_PYTHON3) && BR2_INSTALL_LIBSTDCPP) warning: (BR2_PACKAGE_PYTHON_SERVICE_IDENTITY) selects BR2_PACKAGE_PYTHON_PYASN which has unmet direct dependencies ((BR2_PACKAGE_PYTHON || BR2_PACKAGE_PYTHON3) && BR2_INSTALL_LIBSTDCPP) warning: (BR2_PACKAGE_PYTHON_SERVICE_IDENTITY) selects BR2_PACKAGE_PYTHON_PYASN_MODULES which has unmet direct dependencies ((BR2_PACKAGE_PYTHON || BR2_PACKAGE_PYTHON3) && BR2_INSTALL_LIBSTDCPP) Cc: Yegor Yefremov <yegorslists@googlemail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Reviewed-by: Yegor Yefremov <yegorslists@googlemail.com> [Thomas: add Config.in comment.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* python-service-identity: new packageGravatar Mauro Condarelli2016-02-193-0/+27
Signed-off-by: Mauro Condarelli <mc5686@mclink.it> Reviewed-by: Yegor Yefremov <yegorslists@googlemail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>